local module = DorHUD:module('static_recoil')
local WeaponTweakData = module:hook_class("WeaponTweakData")

module:post_hook(WeaponTweakData, "_init_data_player_weapons", function(self)
	self.test_raycast_weapon.AMMO_MAX = 150
	self.test_raycast_weapon.spread.standing = 3.6
	self.test_raycast_weapon.spread.crouching = 2.7
	self.test_raycast_weapon.spread.steelsight = 0.9
	self.test_raycast_weapon.spread.moving_standing = 5.4
	self.test_raycast_weapon.spread.moving_crouching = 4.5
	self.test_raycast_weapon.kick.v.standing = 0.75
	self.test_raycast_weapon.kick.v.crouching = 0.6
	self.test_raycast_weapon.kick.v.steelsight = 0.375
	self.test_raycast_weapon.kick.h.standing = 0.45
	self.test_raycast_weapon.kick.h.crouching = 0.3
	self.test_raycast_weapon.kick.h.steelsight = 0.15
	self.test_raycast_weapon.crosshair.standing.offset = 0.216
	self.test_raycast_weapon.crosshair.standing.moving_offset = 0.324
	self.test_raycast_weapon.crosshair.standing.kick_offset = 0.0
	self.test_raycast_weapon.crosshair.crouching.offset = 0.162
	self.test_raycast_weapon.crosshair.crouching.moving_offset = 0.27
	self.test_raycast_weapon.crosshair.crouching.kick_offset = 0.0
	self.beretta92.AMMO_MAX = 240
	self.beretta92.AMMO_PICKUP = {8, 12}
	self.beretta92.spread.standing = 3.15
	self.beretta92.spread.crouching = 3.15
	self.beretta92.spread.steelsight = 1.26
	self.beretta92.spread.moving_standing = 3.15
	self.beretta92.spread.moving_crouching = 3.15
	self.beretta92.kick.v.standing = 0.4
	self.beretta92.kick.v.crouching = 0.3
	self.beretta92.kick.v.steelsight = 0.2
	self.beretta92.crosshair.standing.offset = 0.252
	self.beretta92.crosshair.standing.moving_offset = 0.252
	self.beretta92.crosshair.standing.kick_offset = 0.0
	self.beretta92.crosshair.crouching.offset = 0.252
	self.beretta92.crosshair.crouching.moving_offset = 0.252
	self.beretta92.crosshair.crouching.kick_offset = 0.0
	self.c45.AMMO_MAX = 112
	self.c45.spread.standing = 2.7
	self.c45.spread.crouching = 2.7
	self.c45.spread.steelsight = 0.99
	self.c45.spread.moving_standing = 2.7
	self.c45.spread.moving_crouching = 2.7
	self.c45.kick.v.crouching = 2
	self.c45.kick.v.steelsight = 1.5
	self.c45.kick.h.standing = 1.5
	self.c45.kick.h.crouching = 1
	self.c45.kick.h.steelsight = 0.5
	self.c45.crosshair.standing.offset = 0.27
	self.c45.crosshair.standing.moving_offset = 0.27
	self.c45.crosshair.standing.kick_offset = 0.0
	self.c45.crosshair.crouching.offset = 0.27
	self.c45.crosshair.crouching.moving_offset = 0.27
	self.c45.crosshair.crouching.kick_offset = 0.0
	self.raging_bull.spread.standing = 2.25
	self.raging_bull.spread.crouching = 2.25
	self.raging_bull.spread.steelsight = 1.62
	self.raging_bull.spread.moving_standing = 2.25
	self.raging_bull.spread.moving_crouching = 2.25
	self.raging_bull.kick.v.standing = 5.6
	self.raging_bull.kick.v.crouching = 4.5
	self.raging_bull.kick.v.steelsight = 3.4
	self.raging_bull.kick.h.standing = 1.6
	self.raging_bull.kick.h.crouching = 1.5
	self.raging_bull.kick.h.steelsight = 1
	self.raging_bull.crosshair.standing.offset = 0.135
	self.raging_bull.crosshair.standing.moving_offset = 0.135
	self.raging_bull.crosshair.standing.kick_offset = 0.0
	self.raging_bull.crosshair.crouching.offset = 0.135
	self.raging_bull.crosshair.crouching.moving_offset = 0.135
	self.raging_bull.crosshair.crouching.kick_offset = 0.0
	self.glock.AMMO_MAX = 100
	self.glock.spread.standing = 3.6
	self.glock.spread.crouching = 3.6
	self.glock.spread.steelsight = 1.62
	self.glock.spread.moving_standing = 3.6
	self.glock.spread.moving_crouching = 3.6
	self.glock.kick.v.standing = 1.375
	self.glock.kick.v.crouching = 1.125
	self.glock.kick.v.steelsight = 0.875
	self.glock.kick.h.standing = 1.35
	self.glock.kick.h.crouching = 1.2
	self.glock.kick.h.steelsight = 1.05
	self.glock.crosshair.standing.offset = 0.36
	self.glock.crosshair.standing.moving_offset = 0.36
	self.glock.crosshair.standing.kick_offset = 0.0
	self.glock.crosshair.crouching.offset = 0.36
	self.glock.crosshair.crouching.moving_offset = 0.36
	self.glock.crosshair.crouching.kick_offset = 0.0
	self.r870_shotgun.kick.v.standing = 4
	self.r870_shotgun.kick.v.crouching = 3
	self.r870_shotgun.kick.v.steelsight = 2.5
	self.r870_shotgun.kick.h.standing = 0.7
	self.r870_shotgun.kick.h.crouching = 0.6
	self.r870_shotgun.kick.h.steelsight = 0.5
	self.r870_shotgun.crosshair.standing.offset = 0.4
	self.r870_shotgun.crosshair.standing.moving_offset = 0.4
	self.r870_shotgun.crosshair.standing.kick_offset = 0.0
	self.r870_shotgun.crosshair.crouching.offset = 0.4
	self.r870_shotgun.crosshair.crouching.moving_offset = 0.4
	self.r870_shotgun.crosshair.crouching.kick_offset = 0.0
	self.mossberg.AMMO_PICKUP = {1, 2}
	self.mossberg.kick.v.standing = 3.5
	self.mossberg.kick.v.crouching = 2.5
	self.mossberg.kick.v.steelsight = 1
	self.mossberg.kick.h.standing = 0.6
	self.mossberg.kick.h.crouching = 0.5
	self.mossberg.kick.h.steelsight = 0.4
	self.mossberg.crosshair.standing.offset = 0.5
	self.mossberg.crosshair.standing.moving_offset = 0.5
	self.mossberg.crosshair.standing.kick_offset = 0.0
	self.mossberg.crosshair.crouching.offset = 0.5
	self.mossberg.crosshair.crouching.moving_offset = 0.5
	self.mossberg.crosshair.crouching.kick_offset = 0.0
	self.mp5.spread.standing = 3.15
	self.mp5.spread.crouching = 2.25
	self.mp5.spread.steelsight = 1.53
	self.mp5.spread.moving_standing = 4.05
	self.mp5.spread.moving_crouching = 3.42
	self.mp5.kick.v.standing = 0.75
	self.mp5.kick.v.crouching = 0.625
	self.mp5.kick.v.steelsight = 0.375
	self.mp5.kick.h.standing = 0.525
	self.mp5.kick.h.crouching = 0.45
	self.mp5.kick.h.steelsight = 0.3
	self.mp5.crosshair.standing.offset = 0.252
	self.mp5.crosshair.standing.moving_offset = 0.324
	self.mp5.crosshair.standing.kick_offset = 0.0
	self.mp5.crosshair.crouching.offset = 0.18
	self.mp5.crosshair.crouching.moving_offset = 0.2736
	self.mp5.crosshair.crouching.kick_offset = 0.0
	self.mac11.spread.standing = 3.6
	self.mac11.spread.crouching = 2.7
	self.mac11.spread.steelsight = 1.98
	self.mac11.spread.moving_standing = 4.5
	self.mac11.spread.moving_crouching = 3.6
	self.mac11.kick.v.standing = 1.125
	self.mac11.kick.v.crouching = 0.875
	self.mac11.kick.v.steelsight = 0.625
	self.mac11.kick.h.standing = 0.687
	self.mac11.kick.h.crouching = 0.6
	self.mac11.kick.h.steelsight = 0.45
	self.mac11.crosshair.standing.offset = 0.36
	self.mac11.crosshair.standing.moving_offset = 0.45
	self.mac11.crosshair.standing.kick_offset = 0.0
	self.mac11.crosshair.crouching.offset = 0.27
	self.mac11.crosshair.crouching.moving_offset = 0.36
	self.mac11.crosshair.crouching.kick_offset = 0.0
	self.m14.spread.standing = 6.3
	self.m14.spread.crouching = 5.4
	self.m14.spread.steelsight = 0.09
	self.m14.spread.moving_standing = 9
	self.m14.spread.moving_crouching = 7.2
	self.m14.kick.v.crouching = 2.25
	self.m14.kick.v.steelsight = 2
	self.m14.kick.h.steelsight = 0.25
	self.m14.crosshair.standing.offset = 0.504
	self.m14.crosshair.standing.moving_offset = 0.72
	self.m14.crosshair.standing.kick_offset = 0.0
	self.m14.crosshair.crouching.offset = 0.432
	self.m14.crosshair.crouching.moving_offset = 0.576
	self.m14.crosshair.crouching.kick_offset = 0.0
	self.hk21.spread.standing = 2.25
	self.hk21.spread.crouching = 2.125
	self.hk21.spread.steelsight = 2
	self.hk21.spread.moving_standing = 3.6
	self.hk21.spread.moving_crouching = 3.15
	self.hk21.kick.v.standing = 1.5
	self.hk21.kick.v.crouching = 1.25
	self.hk21.kick.v.steelsight = 1
	self.hk21.kick.h.standing = 0.9
	self.hk21.kick.h.crouching = 0.75
	self.hk21.kick.h.steelsight = 0.6
	self.hk21.crosshair.standing.offset = 0.225
	self.hk21.crosshair.standing.moving_offset = 0.36
	self.hk21.crosshair.standing.kick_offset = 0.0
	self.hk21.crosshair.crouching.offset = 0.2125
	self.hk21.crosshair.crouching.moving_offset = 0.315
	self.hk21.crosshair.crouching.kick_offset = 0.0
	self.m79.kick.h.steelsight = 0.35
	self.ak47.spread.standing = 4.5
	self.ak47.spread.crouching = 3.6
	self.ak47.spread.steelsight = 1.35
	self.ak47.spread.moving_standing = 5.4
	self.ak47.spread.moving_crouching = 4.95
	self.ak47.kick.v.standing = 1.125
	self.ak47.kick.v.crouching = 1.0
	self.ak47.kick.v.steelsight = 0.875
	self.ak47.kick.h.standing = 0.9
	self.ak47.kick.h.crouching = 0.75
	self.ak47.kick.h.steelsight = 0.6
	self.ak47.crosshair.standing.offset = 0.36
	self.ak47.crosshair.standing.moving_offset = 0.432
	self.ak47.crosshair.standing.kick_offset = 0.0
	self.ak47.crosshair.crouching.offset = 0.288
	self.ak47.crosshair.crouching.moving_offset = 0.396
	self.ak47.crosshair.crouching.kick_offset = 0.0
end, false)